%clear all
close all

% Загрузим береговые линии (векторные данные)
load coast
% загрузим топографические данные (растр)
load topo
% отобразим растровые данные с использованием соответствующей цветовой
% карты


[Z, refvec] = etopo('etopo1_ice_c_f4.flt',1, [30 50],[130 150]);

geoshow(Z, refvec,'DisplayType','texturemap')
demcmap(Z)


%geoshow(topo,topolegend,'DisplayType','texturemap')
%demcmap(topo)
% нарисуем береговые линии поверх растровой карты
%geoshow(lat,long,'Color','r')
axis tight
hold on

plot(142.37,38.32,'*r','MarkerSize',10)

% load matlab
% a=1
% b=12500
% plot(LC(a:b),fiC(a:b),'r')
% xlim([130 150])
% ylim([30 50])

xlabel('Долгота, град')
ylabel('Широта, град')